ControlPluginCommand_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.commands.ControlPluginCommand_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.commands
Class ControlPluginCommand_args

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.control.agent.commands.ControlPluginCommand_args

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class ControlPluginCommand_args

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`ControlPluginCommand_args()`
`ControlPluginCommand_args(AgentRemoteValue args)`

Method Summary
`java.lang.String[]` | `getArgs()`
`java.lang.String` | `getId()`
`java.lang.String` | `getPluginAction()`
`java.lang.String` | `getPluginName()`
`java.lang.String` | `getPluginType()`
`void` | `setCommand(java.lang.String plugin, java.lang.String type, java.lang.Integer id, java.lang.String action, java.lang.String args)`
`void` | `setCommand(java.lang.String plugin, java.lang.String type, java.lang.String action, java.lang.String args)`

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, setValue, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlPluginCommand_args

    public ControlPluginCommand_args()

### ControlPluginCommand_args

    public ControlPluginCommand_args(AgentRemoteValue args)
                              throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setCommand

    public void setCommand(java.lang.String plugin,
                           java.lang.String type,
                           java.lang.String action,
                           java.lang.String args)

### setCommand

    public void setCommand(java.lang.String plugin,
                           java.lang.String type,
                           java.lang.Integer id,
                           java.lang.String action,
                           java.lang.String args)

### getPluginName

    public java.lang.String getPluginName()

### getPluginType

    public java.lang.String getPluginType()

### getId

    public java.lang.String getId()

### getPluginAction

    public java.lang.String getPluginAction()

### getArgs

    public java.lang.String[] getArgs()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.